Installing QGrid 1.7x

QGrid is available as a plug-in bundle for MacOS X and Windows.

System Requirements

Registration & Activation

QGrid 1.7x uses new license keys (it will not work with 1.6 or earlier keys).

If you do not have suitable license keys, visit Escape's website for purchasing information.

If you have QGrid 1.7x license keys, read the page on Adding & Removing License Keys with step-by-step instructions on how to register your license keys and activate them over the Internet.

If the computer on which plug-in license keys will be installed is not allowed to access the internet, read the Adding & Removing License Keys page on how to obtain pre-activated keys using the Machine ID.

Plug-in files

The QGrid bundle is shown as package on Mac or as folder on Windows. The table below indicates the location where the plug-in files should be installed depending on platform and 4D runtime environment.

File Description Platform Environment Location
QGrid.bundle Mandatory install. The QGrid plug-in bundle Mac/Win All Plugins folder next to the database structure
0QLM.bundle Mandatory install. Plug-in that controls licensing for all Escape plug-ins in your Plugins folder

Keep the latest compatible version!
Mac/Win All Plugins folder next to the database structure
QGrid Manual.4dbase Optional install. QGrid documentation (commands reference) accessible within 4D Mac/Win All Components folder next to the database structure

Compatible plug-in versions

If your database uses more Escape plug-ins, make sure to use coordinated plug-in versions. The following plug-in versions should be used together: